Package org.apache.felix.hc.core.impl.servlet

## Class ResultHtmlSerializer

- java.lang.Object
- - org.apache.felix.hc.core.impl.servlet.ResultHtmlSerializer

    public class ResultHtmlSerializer
    extends Object

Serializes health check results into html format.

### Constructor Summary

Constructors
`ResultHtmlSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.apache.felix.hc.core.impl.servlet.ResultHtmlSerializerConfiguration configuration)`
`String` `serialize​(org.apache.felix.hc.api.Result overallResult, List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults, List<org.apache.felix.hc.core.impl.servlet.HealthCheckExecutorServlet.Param> paramList, boolean includeDebug)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultHtmlSerializer

    public ResultHtmlSerializer()

### Method Detail

#### activate

    protected final void activate​(org.apache.felix.hc.core.impl.servlet.ResultHtmlSerializerConfiguration configuration)

#### serialize

    public String serialize​(org.apache.felix.hc.api.Result overallResult,
                            List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults,
                            List<org.apache.felix.hc.core.impl.servlet.HealthCheckExecutorServlet.Param> paramList,
                            boolean includeDebug)